%define date    20160920

Name:           irrlamb
Version:        0.2.1
Release:        %mkrel 1.%{date}.3
Summary:        Physics-based 3D puzzle platformer
Group:          Games/Arcade
License:        GPLv3+ and CC-BY-SA 3.0
URL:            https://github.com/jazztickets/irrlamb
# pack with deployment/make_src.sh
Source0:        %{name}-%{version}+%{date}.tar.xz
Patch0:         irrlamb-0.2.0-mga-desktop.patch
Patch1:         irrlamb-0.2.0-mga-gamesbindir.patch

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  irrlicht-devel
BuildRequires:  pkgconfig(bullet)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(lua) >= 5.2
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xrandr)

%description
Irrlamb is a platform game, in which the player moves a ball through
a 3D terrain. The aim in each irrlamb level is to touch every glowing
globe, sometimes within a time limit. In some levels the player has
the grapple upgrade, which allows the player to shoot an elastic rope
at objects and terrain and can be used to climb walls.

%prep
%setup -q -n %{name}-%{version}+%{date}
%autopatch -p1

%build
%cmake -DLUA_VERSION=5.2
%make_build

%install
%make_install -C build

%files
%doc %{_docdir}/%{name}/
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sun Feb 26 2017 akien <akien> 0.2.1-1.20160920.3.mga6
+ Revision: 1087974
- Rebuild for bullet 2.86.1

* Wed Oct 26 2016 akien <akien> 0.2.1-1.20160920.2.mga6
+ Revision: 1063699
- Rebuild for bullet 2.85.1

* Mon Oct 17 2016 akien <akien> 0.2.1-1.20160920.1.mga6
+ Revision: 1061509
- Version 0.2.1 + a few upstream commits

* Mon Feb 15 2016 umeabot <umeabot> 0.2.0-3.mga6
+ Revision: 960700
- Mageia 6 Mass Rebuild

* Sun Sep 20 2015 akien <akien> 0.2.0-2.mga6
+ Revision: 881905
- Rebuild for irrlicht 1.8.3

* Sun Sep 20 2015 akien <akien> 0.2.0-1.mga6
+ Revision: 881856
- Version 0.2.0

* Tue Dec 23 2014 akien <akien> 0.2.0-0.20141110.1.mga5
+ Revision: 805124
- imported package irrlamb

